html {
  font-family: 'Segoe UI', 'Helvetica Neue', Arial, Tahoma, sans-serif;
  height: 100%;
}

body {
  height: 100%;
  padding: 0;
  margin: 0;
  background-color: #E5E5E5;
}

p {
  margin: 0;
}

.wrapper {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.backToResults {
  border-bottom: rgba(0, 0, 0, 0.1) 1px solid;
  padding-bottom: 13px;
  margin-bottom: 25px;
}

.backToResults a {
  color: #3072C4;
  text-decoration: none;
}

.address {
  font-size: 22px;
  font-weight: 400;
  line-height: 30px;
  color: black;
  margin-bottom: 15px;
}

.roomDescription {
  font-size: 16px;
  line-height: 25px;
  width: 50%;
  margin-bottom: 24px;
}

.roomDescription p {
  margin-bottom: 10px;
}

.cadastralNumber {
  color: #a0a0a0;
}

main {
  flex: 1 0 auto;
  margin-top: 20px;
}

.content {
  background-color: #FFFFFF;
  box-sizing: border-box;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.25);
  margin: 0 auto 25px;
  max-width: 1280px;
  padding: 45px 45px 50px;
  border-top: 2px solid #1E79BE;
}

.checkbox-field {
  margin-bottom: 30px;
}

.option-line {
  line-height: 25px;
  color: #a0a0a0;
  margin-bottom: 10px;
}

.option-line label {
  cursor: pointer;
  display: flex;
}

.option-line p:first-line {
  color: black;
}

.option-line input[type=checkbox] {
  opacity: 0;
  position: absolute;
}

.option-line input[type=checkbox]+label::before {
  content: "";
  line-height: 25px;
  min-width: 16px;
  height: 16px;
  border: 1px solid #B6B6B6;
  border-radius: 0.15em;
  background-repeat: no-repeat;
  background-position: center;
  margin-right: 10px;
  margin-top: 0.3em;
}

.option-line input[type=checkbox]:checked+label::before {
  border-color: #1D85D0;
  background-color: #1D85D0;
  background-image: url("../img/check.svg");
}

.option-line input[type=checkbox]:not(:disabled):active+label::before {
  background-color: #70c4ff;
  border-color: #70c4ff;
}

.option-line input[type=checkbox]:focus+label::before {
  box-shadow: 0 0 0 0.15em rgba(29, 133, 208, 0.2);
}

.option-line input[type=checkbox]:not(:disabled):not(:checked):not(:active)+label:hover::before {
  background-color: #E4F3FF;
}


.option-line input[type=checkbox]:disabled+label::before {
  background-color: #A0A0A0;
}

.order-btn {
  font-family: 'Segoe UI',
    'Helvetica Neue',
    Arial,
    Tahoma,
    sans-serif;
  font-size: 16px;
  line-height: 25px;
  text-align: center;
  color: #FFFFFF;
  background: #3072C4;
  border: 1px solid#3072C4;
  border-radius: 1px;
  padding: 6px 15px 8px;
  cursor: pointer;
}

footer {
  color: #A1A1A1;
  padding-bottom: 100px;
  margin: 0 auto;
  width: 1280px;
  flex: 0 0 auto;
}

.kontur-info {
  font-size: 14px;
}

.kontur-info b {
  font-size: 16px;
}

.first-line {
  margin-bottom: 7px;
}

img {
  float: left;
  margin-right: 7.98px;
  height: 22px;
  padding-bottom: 10px;
}

header {
  background-color: #FFFFFF;
  height: 50px;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.25);
  display: flex;
  justify-content: center;
  font-size: 10.5pt;
}

.menu {
  padding-top: 7px;
  padding-bottom: 7px;
  margin: 10px 25px;
}

nav div.topmenu:hover,
.with_hover:hover {
  background-color: #E5E5E5;
  cursor: pointer;
}

.exit {
  padding-left: 30px;
  border-left: rgba(0, 0, 0, 0.1) 1px solid;
  margin-right: 0px;
}

.exit:hover {
  cursor: pointer;
}

nav {
  display: flex;
}

.header_content {
  width: 1280px;
  display: flex;
  justify-content: flex-end;
}

.submenu {
  background: white;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.25);
  position: absolute;
  left: 0;
  top: 100%;
  width: 280px;
  height: max-content;
  display: none;
}

.topmenu:hover .submenu {
  display: block;
}

.topmenu {
  position: relative;
}


.submenu p {
  padding: 10px 15px;
}

.with_border {
  margin-top: 4px;
  border-top: rgba(0, 0, 0, 0.1) 1px solid;
}

#bal,
#phone {
  padding: 12px 15px 4px 15px;
  font-size: 10px;
  color: #A1A1A1;
}

a[href="#modal"] {
  text-decoration: none;
  color: black;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.modal_space {
  position: fixed;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.4);
  width: 100%;
  height: 100%;
  display: none;
}

.modal_space:target {
  display: block;
}

.modal_window {
  background-color: white;
  margin: 20% auto;
  width: 500px;
  height: 250px;
  position: relative;
}

.cross {
  position: absolute;
  top: 35px;
  right: 15px;
  width: 10px;
  height: 10px;
  opacity: 50%;
}

.modal_title {
  font-size: 16pt;
  padding-top: 30px;
  margin-left: 30px;
  height: 50px;
}

#close_modal_button {
  padding: 6px 15px;
  border-radius: 1px;
  cursor: pointer;
  background-color: #FFFFFF;
  border: 1px solid #A1A1A1;
}

#close_modal_button:hover {
  background-color: #E5E5E5;
  cursor: pointer;
}

#close_modal_button:active,
#close_modal_button:focus {
  background-color: #c8c8c8;
  border: 1px solid #A1A1A1;
  outline: #A1A1A1 1px;
  cursor: pointer;
}

.toggle {
  margin:  20px auto 40px 30px;
  height: 30px;
  display: flex;
  align-items: center;
}

.modal_footer {
  display: flex;
  align-items: center;
  height: 80px;
  margin: 0;
  background-color: #E5E5E5;
  padding-left: 30px;
}

.toggle {
  position: relative;
}

.toggle_checkbox {
  appearance: none;
  height: 0;
  width: 0;
}

.toggle_label {
  position: relative;
  padding-left: 50px;
  cursor: pointer;
  height: 22px;
  display: flex;
  align-items: center;
}

.toggle_label::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 35px;
  height: 20px;
  border: 1px solid rgba(0, 0, 0, 0.2);
  border-radius: 100px;
  background-color: white;
  cursor: pointer;
  transition: 0.5s;
}

.toggle_label::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 20px;
  height: 20px;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 100px;
  background: linear-gradient(-180deg, rgb(255, 255, 255), rgb(235, 235, 235));
  cursor: pointer;
  transition: 0.3s;
}

.toggle_label:hover::after {
  background: linear-gradient(-180deg, rgb(235, 235, 235), rgb(220, 220, 220))
}

.toggle_label:active::before {
  background-color: #3072C4;
}

.toggle_checkbox:checked~.toggle_label::after {
  left: 15px;
}

.toggle_checkbox:checked~.toggle_label::before {
  background-color: #3072C4;
}